local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultEntityDisplayCallback = ____utils.defaultEntityDisplayCallback
____exports.DebugDisplayBomb = __TS__Class()
local DebugDisplayBomb = ____exports.DebugDisplayBomb
DebugDisplayBomb.name = "DebugDisplayBomb"
__TS__ClassExtends(DebugDisplayBomb, Feature)
function DebugDisplayBomb.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultEntityDisplayCallback
    self.postBombRender = function(____, bomb)
        local text = self:textCallback(bomb)
        renderTextOnEntity(nil, bomb, text)
    end
    self.callbacksUsed = {{ModCallback.POST_BOMB_RENDER, self.postBombRender}}
end
return ____exports
